<aside class="side">
  {% if grav.user.access.admin.login %} 
  <!-- <p style="margin-bottom: 1em; font-style: italic;">Hey, you're an admin, you lovely person!</p> -->

  {% if page.url != "/feed-full" %}
    
    {% if page.url != "/" %}
      <a class="admin-link" href="{{ "/admin/pages" ~ page.url}}"><img class="inline-icon" alt="Edit this page" src="{{ url('theme://images/icons/edit.png') }}"> Edit this page</a>
    {% else %}
      <a class="admin-link" href="{{ "/admin/pages/home"}}"><img class="inline-icon" alt="Edit this page" src="{{ url('theme://images/icons/edit.png') }}"> Edit this page</a>
    {% endif %}
  {% endif %}
  
  {% if page.url != "/feed-full" %}

    {% if page.url != "/" %}
      <a class="admin-link" href="{{ "/admin/pages" ~ page.url ~ "/new-page/:add"}}"><img class="inline-icon" alt="Add page as child" src="{{ url('theme://images/icons/add.png') }}"> Add new page</a>
    {% else %}
      <a class="admin-link" href="{{ "/admin/pages/new-page/:add"}}"><img class="inline-icon" alt="Add page" src="{{ url('theme://images/icons/add.png') }}"> Add new page</a>
    {% endif %}

  {% endif %}

  <a class="admin-link" href="{{ "/admin/pages/blog/rvio-article/:add"}}"><img class="inline-icon" alt="Add News" src="{{ url('theme://images/icons/add.png') }}"> Add news</a>
  <a class="admin-link" href="{{ "/admin/pages/events/rvio-event/:add"}}"><img class="inline-icon" alt="Add an Event" src="{{ url('theme://images/icons/add.png') }}"> Add event</a>
  
  {% if page.url != "/feed-full" %}

    <a class="admin-link" href="{{ "/admin/"}}"><img class="inline-icon" alt="Admin Panel" src="{{ url('theme://images/icons/admin.png') }}"> Admin Panel</a>

  {% endif %}
  
  {% if page.url == "/" %}

  <a class="admin-link" href="{{ "https://distribute.re-volt.io/control.php"}}"><img class="inline-icon" alt="Distribute: Build" src="{{ url('theme://images/icons/bolt.png') }}"> Distribution Control</a>
  

  {% endif %}
  {% endif %}

  {% if (header.toc.enabled == 0 and attribute(theme_config, page.template).toc.enabled == 1 ) or header.toc.enabled == 1 %}
  {% set topmost = pages.find('/' ~ page.url|trim(side='left')|split('/')[1]) %}

    {% set horizontal = (header.toc.horizontal == 0 and attribute(theme_config, page.template).toc.horizontal == 1 ) or header.toc.horizontal == 1 %}
    <ul class="{% if horizontal %}horizontal-list{% endif %} table-of-contents">
      <li><a class="{% if topmost.active %}active{% endif %}" href="{{topmost.url}}">{{topmost.menu}}</a>
        <ul class="{% if horizontal %}horizontal-list{% endif %} table-of-contents">
          {% for p in topmost.children %}
            {% if p.visible %}
            <li><a class="{% if p.active %}active{% endif %}" href="{{p.url}}">{{ p.title }}</a>
              {% if p.children|length > 0 %}
              <ul class="{% if horizontal %}horizontal-list{% endif %} table-of-contents">
                {% for p1 in p.children %}
                  {% if p1.visible%}
                  <li><a class="{% if p1.active %}active{% endif %}" href="{{p1.url}}">{{ p1.title }}</a>

                    {% if p1.children|length > 0 and p.activeChild %}
                      <ul class="{% if horizontal %}horizontal-list{% endif %} table-of-contents">
                        {% for p2 in p1.children %}
                          {% if p2.visible %}
                          <li><a class="{% if p2.active %}active{% endif %}" href="{{p2.url}}">{{ p2.title }}</a>

                          {% if p2.children|length > 0 %}
                            <ul class="{% if horizontal %}horizontal-list{% endif %} table-of-contents">
                              {% for p3 in p2.children %}
                                <li><a class="{% if p3.active %}active{% endif %}" href="{{p3.url}}">{{ p3.title }}</a></li>
                              {% endfor %}
                            </ul>
                          {% endif %}
                          </li>
                          {% endif %}
                        {% endfor %}
                      </ul>
                    {% endif %}
                  </li>
                  {% endif %}
                {% endfor %}
              </ul>
              {% endif %}
            </li>
            {% endif%}
          {% endfor %}
        </ul>
      </li>
    </ul>
  {% endif %}
  {% if header.sidebarpath %}
    {{ page.find(header.sidebarpath).content }}
  {% else %}
    {{ page.find("/sidebar").content }}
  {% endif %}
</aside>
